<script>
	let platform = ""
	let SystemVersion = ""
	export default {
		onLaunch: function() {
			let that = this
			// #ifdef APP-PLUS
			uni.getSystemInfo({
				success(e) {
					platform = e.platform
					that.$store.commit('changePhoneInfo', {
						platform: e.platform
					})
				}
			})
			if (platform === 'ios') { // ios首次安装没有网络
				uni.onNetworkStatusChange(function(res) {
					if (res.isConnected == true) {
						that.handleoginversion()
					}
				});
			}
			plus.runtime.getProperty(plus.runtime.appid, function(info) {
				uni.setStorageSync('VERSION', info.version)
				SystemVersion = info.version
				that.$store.commit('changePhoneInfo', {
					info: info
				})
			})
			// #endif
			that.handleoginversion()
			// that.$store.dispatch("getHomeConfig")
		},
		onHide: function() {
			// #ifdef APP-PLUS
			uni.offNetworkStatusChange(function(res) {
				console.log("取消网络监听")
			})
			// #endif
		},
		onShow: function() {
			let that = this
			that.handleTabBarItem()
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
			// 版本信息
			handleoginversion() {
				let that = this
				that.$model.getloginversion({}).then(res => {
					console.log("res.data", res)
					let language = res.data.language == "zh" ? 'zh-Hans' : res.data.language
					uni.setLocale(language)
					that.$i18n.locale = language
					uni.setStorageSync('language', res.data.language)
					if (res.code == 0) {
						that.$store.dispatch("getHomeConfig")
					} else {
						uni.setStorageSync('token', null)
						uni.setStorageSync('aan_id', null)
						setTimeout(() => {
							uni.reLaunch({
								url: '/pageTwo/login/login'
							})
						}, 500);
					}
					// #ifdef APP-PLUS||APP
					that.$store.commit('changePhoneInfo', {
						versionUrl: res.data
					})
					// 比对版本号
					let version = that.$tools.compareVersions(SystemVersion, res.data.version)
					console.log("是否登录及版本号", res, res.data.version, SystemVersion, version)
					if (version == -1) { // 0版本号相通，1，：第一个版本号大于第二个版本号，-1：第一个版本号小于第二个版本号
						uni.showModal({
							title: '发现新版本',
							content: '检查到新版本' + res.data.version + '，是否更新？',
							cancelText: that.$t('btnSancellation'),
							confirmText: that.$t('btnConfirm'),
							success: (modalRes) => {
								if (modalRes.confirm) { //确定更新
									if (platform === 'android') { //安卓更新
										uni.setStorageSync('VERSION', res.data.version)
										uni.navigateTo({
											url: "/pageTwo/me/about"
										})
									} else { //ios跳转
										plus.runtime.launchApplication({
											action: `itms-apps://itunes.apple.com/cn/app/id6654906497?mt=8`
										})
									}
								} else {
									that.$tools.msg("稍后可在'关于我们'内更新程序！")
								}
							}
						});
					}
					// #endif
				})
			},
			handleTabBarItem() {
				let that = this
				uni.setTabBarItem({
					index: 0,
					text: that.$t('titleHome')
				})
				uni.setTabBarItem({
					index: 1,
					text: that.$t('titleCount')
				})
				uni.setTabBarItem({
					index: 2,
					text: that.$t('titleMe')
				})
			}
		}
	}
</script>

<style lang="scss">
	/* #ifndef APP-NVUE */
	@import "/assets/common.scss";
	@import "/assets/iconfont.css";
	@import "/assets/iconfont-weapp-icon.css";

	/* #endif*/
	/*每个页面公共css */
	.content {
		display: flex;
		flex-direction: column;
		align-items: center;
		/* justify-content: center; */
		background-color: #f7f7f7;
		min-height: 100vh;
	}
</style>